|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# Qt 3 Support Members for QMouseEvent

The following class members are part of the Qt 3 support layer. They are provided to help you port old code to Qt 4. We advise against using them in new code.

- QMouseEvent class reference

### Public Functions

- QMouseEvent ( Type type, const QPoint & pos, Qt::ButtonState button, int state )
- QMouseEvent ( Type type, const QPoint & pos, const QPoint & globalPos, Qt::ButtonState button, int state )
- Qt::ButtonState state () const
- Qt::ButtonState stateAfter () const

## Member Function Documentation

### QMouseEvent::QMouseEvent ( Type type, const QPoint & pos, Qt::ButtonState button, int state )

Use QMouseEvent(type, pos, button, `buttons`, `modifiers`) instead, where `buttons` is state & Qt::MouseButtonMask and `modifiers` is state & Qt::KeyButtonMask.

### QMouseEvent::QMouseEvent ( Type type, const QPoint & pos, const QPoint & globalPos, Qt::ButtonState button, int state )

Use QMouseEvent(type, pos, globalPos, button, `buttons`, `modifiers`) instead, where `buttons` is state & Qt::MouseButtonMask and `modifiers` is state & Qt::KeyButtonMask.

### Qt::ButtonState QMouseEvent::state () const

Returns the button state immediately before the event was generated. The button state is a combination of mouse buttons (see Qt::ButtonState) and keyboard modifiers (Qt::MouseButtons).

Use buttons() and/or modifiers() instead. Be aware that buttons() return the state immediately after the event was generated.

### Qt::ButtonState QMouseEvent::stateAfter () const

Returns the button state immediately after the event was generated. The button state is a combination of mouse buttons (see Qt::ButtonState) and keyboard modifiers (Qt::MouseButtons).

Use buttons() and/or modifiers() instead.